-------------------------------------------------------------------------------
-- Dumb Knight
--Copyright (C) 2013  Thoughts of Glought

--This program is free software: you can redistribute it and/or modify
--it under the terms of the GNU General Public License as published by
--the Free Software Foundation, either version 3 of the License, or
--(at your option) any later version.
--------------------------------------------------------------------------------
--This program is distributed in the hope that it will be useful,
--but WITHOUT ANY WARRANTY; without even the implied warranty of
--MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--GNU General Public License for more details.
---------------------------------------------------------------------------------
--You should have received a copy of the GNU General Public License
--along with this program.  If not, see <http://www.gnu.org/licenses/>.
----------------------------------------------------------------------------------




local DBK = LibStub("AceAddon-3.0"):GetAddon("Dumbknight")
local DBK_DeathKnights = DBK:NewModule("DeathKnightsDBK")




function DBK_DeathKnights:DoTanksayings(name)

	local Random = math.random(1, 10)
	n,r= UnitName(name)n=n and n.. (r and "-"..r or "")
	if (Random == 1) then
		SendChatMessage("I think you meant to queue as a tank because your in blood spec :)","WHISPER",nil,n)
	elseif (Random == 2) then
		SendChatMessage("Blood spec is for tanking please get out of it kind sir or madam.","WHISPER",nil,n)
	elseif (Random == 3) then
		SendChatMessage("You appear to not know how to dps!!!! Step one GET OUT OF BLOOD SPEC!!!! step two pick unholy or frost. Thank you and have a good day.","WHISPER",nil,n)
	elseif (Random == 4) then
		SendChatMessage("Hey man tanking is my job don't take my job bro!! Please leave blood spec.","WHISPER",nil,n)
	elseif (Random == 5) then
		SendChatMessage("I smell blood....OH GOD BRO...thats nasty get out of blood...","WHISPER",nil,n)
	elseif (Random == 6) then
		SendChatMessage("You know blood is not for dps right? just checking.","WHISPER",nil,n)
	elseif (Random == 7) then
		SendChatMessage("I'm going to bloody your lip if you don't get out of blood.","WHISPER",nil,n)
	elseif (Random == 8) then
		SendChatMessage("Death Knight stealing my aggro! please leave blood.","WHISPER",nil,n)
	elseif (Random == 9) then
		SendChatMessage("Do you want to tank? Then queue as tank.","WHISPER",nil,n)
	elseif (Random == 10) then
		SendChatMessage("Hey I didn't queue as healer because I don't plan to heal. So I would assume since you queued as dps you plan on doing dps right? I just ask because your in blood.","WHISPER",nil,n)
	else
	--DBK:Print("Get out of blood!"..playername)
	end
end

function DBK_DeathKnights:DoHealersayings(name)

	local Random = math.random(1, 14)
	n,r= UnitName(name)n=n and n.. (r and "-"..r or "")
	if (Random == 1) then
		SendChatMessage("I think you meant to queue as a tank because your in blood spec :)","WHISPER",nil,n)
	elseif (Random == 2) then
		SendChatMessage("Blood spec is for tanking please get out of it kind sir or madam.","WHISPER",nil,n)
	elseif (Random == 3) then
		SendChatMessage("You appear to not know how to dps!!!! Step one GET OUT OF BLOOD SPEC!!!! step two pick unholy or frost. Thank you and have a good day.","WHISPER",nil,n)
	elseif (Random == 4) then
		SendChatMessage("Hey I rather just heal the tank...you know the guy queued as tank...not dps.....please leave blood spec.","WHISPER",nil,n)
	elseif (Random == 5) then
		SendChatMessage("I smell blood....OH GOD BRO...thats nasty get out of blood...","WHISPER",nil,n)
	elseif (Random == 6) then
		SendChatMessage("You know blood is not for dps right? just checking.","WHISPER",nil,n)
	elseif (Random == 7) then
		SendChatMessage("I'm going to bloody your lip if you don't get out of blood.","WHISPER",nil,n)
	elseif (Random == 8) then
		SendChatMessage("Oi good day mate! My heals will stop unless you leave blood!","WHISPER",nil,n)
	elseif (Random == 9) then
		SendChatMessage("Do you want to tank? Then queue as tank.","WHISPER",nil,n)
	elseif (Random == 10) then
		SendChatMessage("I queued as healer the tank queued as tank we are dong our jobs please leave blood so you can do yours!","WHISPER",nil,UnitName(name))
	elseif (Random == 11) then
		SendChatMessage("Oh sorry I would have healed you but i didn't know you were the tank! After all you are showing up as dps but I guess your blood spec is more important","WHISPER",nil,n)
	elseif (Random == 12) then
		SendChatMessage("Never gonna heal you up! Never gonna save your life! Never gonna spec you right! and rez you! Please leave blood:) thank you","WHISPER",nil,n)
	elseif (Random == 13) then
		SendChatMessage("As you can see I spec for healer because I plan to heal. You should spec for dps!","WHISPER",nil,n)
	elseif (Random == 14) then
		SendChatMessage("There once was a dps Death Knight who speced for tanking. Everyone hated him even the healer who refused to heal him....he died....the end","WHISPER",nil,n)
	else
	--DBK:Print("Get out of blood!"..playername)
	end

end

function DBK_DeathKnights:DoDpssayings(name)

	local Random = math.random(1, 14)
	n,r= UnitName(name)n=n and n.. (r and "-"..r or "")

	if (Random == 1) then
		SendChatMessage("I think you meant to queue as a tank because your in blood spec :)","WHISPER",nil,n)
	elseif (Random == 2) then
		SendChatMessage("Blood spec is for tanking please get out of it kind sir or madam.","WHISPER",nil,n)
	elseif (Random == 3) then
		SendChatMessage("You appear to not know how to dps!!!! Step one GET OUT OF BLOOD SPEC!!!! step two pick unholy or frost. Thank you and have a good day.","WHISPER",nil,n)
	elseif (Random == 4) then
		SendChatMessage("Hey man tanking is my job dont take my job bro!! Please leave blood spec.","WHISPER",nil,n)
	elseif (Random == 5) then
		SendChatMessage("I smell blood....OH GOD BRO...thats nasty get out of blood...","WHISPER",nil,n)
	elseif (Random == 6) then
		SendChatMessage("You know blood is not for dps right? just checking.","WHISPER",nil,n)
	elseif (Random == 7) then
		SendChatMessage("Im going to bloody your lip if you dont get out of blood.","WHISPER",nil,n)
	elseif (Random == 8) then
		SendChatMessage("You can't join the dps club....Because your in tank spec!","WHISPER",nil,n)
	elseif (Random == 9) then
		SendChatMessage("Do you want to tank? Then queue as tank.","WHISPER",nil,n)
	elseif (Random == 10) then
		SendChatMessage("Hey I didn't queue as healer because I don't plan to heal. So I would assume since you queued as dps you plan on doing dps right? I just ask because your in blood.","WHISPER",nil,n)
	elseif (Random == 11) then
		SendChatMessage("Hey your going to piss off the tank bro. Best leave blood spec","WHISPER",nil,n)
	elseif (Random == 12) then
		SendChatMessage("Hey your making the healers job harder then it needs to be please leave blood spec.","WHISPER",nil,n)
	elseif (Random == 13) then
		SendChatMessage("Take it from another dps. dps is a lot easier when your in dps spec.","WHISPER",nil,n)
	elseif (Random == 14) then
		SendChatMessage("Your dps seems low try getting out of tank spec.","WHISPER",nil,n)
	else
	--DBK:Print("Get out of blood!"..playername)
	end
end


function DBK_DeathKnights:whisperdk()
	local PP_name
	local PP_class
	local PP_Spec
	local PP_Role
	local Player_Role = UnitGroupRolesAssigned("player")
	--local DBK_DeathKights = DBK:GetModule("DBK_DeathKnights")
	if IsInGroup() then
		if DBK.db.global.raidwhispers then
			if IsInRaid() then
				for j = 1, GetNumGroupMembers(), 1 do

					PP_name = UnitName("party"..j)
					PP_class = select(2,UnitClass("party"..j))
					PP_Spec = GetInspectSpecialization("party"..j)
					PP_Role = UnitGroupRolesAssigned("party"..j)
					n,r= UnitName("party"..j)n=n and n.. (r and "-"..r or "")
					if PP_class == "DEATHKNIGHT" and PP_Spec == 250 and PP_Role ~= "TANK" then
						if DBK.db.global.fancy  then
							if Player_Role == "TANK" then
								DBK_DeathKnights:DoTanksayings("party"..j)
							elseif Player_Role == "HEALER" then
								DBK_DeathKnights:DoHealersayings("party"..j)
							elseif Player_Role == "DAMAGER" then
								DBK_DeathKnights:DoDpssayings("party"..j)
							else
								DBK_DeathKnights:Print("you have no role!")
							end
						else
							SendChatMessage("you are in blood spec! Change to your prefered dps spec(unholy or frost)","WHISPER",nil,n)
						end
					else
					--DBK:Print("Not in blood spec(raid)")
					end
				end
			else
				for j = 1, GetNumSubgroupMembers(), 1 do
					PP_name = UnitName("party"..j)
					PP_class = select(2,UnitClass("party"..j))
					PP_Spec = GetInspectSpecialization("party"..j)
					PP_Role = UnitGroupRolesAssigned("party"..j)
					n,r= UnitName("party"..j)n=n and n.. (r and "-"..r or "")
					if PP_class == "DEATHKNIGHT" and PP_Spec == 250 and PP_Role ~= "TANK" then
						if DBK.db.global.fancy  then
							if Player_Role == "TANK" then
								DBK_DeathKnights:DoTanksayings("party"..j)
							elseif Player_Role == "HEALER" then
								DBK_DeathKnights:DoHealersayings("party"..j)
							elseif Player_Role == "DAMAGER" then
								DBK_DeathKnights:DoDpssayings("party"..j)
							else
								DBK_DeathKnights:Print("you have no role!")
							end
						else
							SendChatMessage("you are in blood spec! Change to your prefered dps spec(unholy or frost)","WHISPER",nil,n)
						end
					else
					--DBK:Print("Not in blood spec (dungeon RW ON)")
					end
				end
			end

		else
			for j = 1, GetNumSubgroupMembers(), 1 do
				PP_name = UnitName("party"..j)
				PP_class = select(2,UnitClass("party"..j))
				PP_Spec = GetInspectSpecialization("party"..j)
				PP_Role = UnitGroupRolesAssigned("party"..j)
				n,r= UnitName("party"..j)n=n and n.. (r and "-"..r or "")
				if PP_class == "DEATHKNIGHT" and PP_Spec == 250 and PP_Role ~= "TANK" then
					if DBK.db.global.fancy  then
						if Player_Role == "TANK" then
							DBK_DeathKnights:DoTanksayings("party"..j)
						elseif Player_Role == "HEALER" then
							DBK_DeathKnights:DoHealersayings("party"..j)
						elseif Player_Role == "DAMAGER" then
							DBK_DeathKnights:DoDpssayings("party"..j)
						else
							DBK_DeathKnights:Print("you have no role!")
						end
					else
						SendChatMessage("you are in blood spec! Change to your prefered dps spec(unholy or frost)","WHISPER",nil,n)
					end
				else
				--DBK_DeathKnights:Print("Not in blood spec (dungeons RW off")
				end
			end
		end

	else
		if DBK.db.global.debug then
			DBK:Print("Not in group(DeathKnight)")
		end
	end
end




